# Gimp.ModuleQueryFunc

    function onModuleQueryFunc(module: GObject.TypeModule): Gimp.ModuleInfo {
    }

The signature of the query function a loadable GIMP module must implement. In the module, the function must be called [func@Module.query].

[class@Module] will copy the returned [struct@ModuleInfo], so the module doesn't need to keep these values around (however in most cases the module will just return a pointer to a constant structure).

module

  The module responsible for this loadable module.

Returns

  The info struct describing the module.